updating update manager

Asked by achapp on 2007-05-05

i am using ubuntu 6.10. i would like to upgrade to 7.04 . for that i require to update my update-manager . my present version is 0.42.2 ubunu22 . i would hav to update it to 0.45.2 . i reloaded the package list in synaptic manager .also all the multiverse and universe repositories has been selected . still i could not get the 0.45.2 after reloading he package list . what shoul i do to get the update manager 0.45.2 . help me

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu synaptic Edit question
Assignee:
No assignee Edit question
Solved by:
Massimo Forti
Solved:
2007-06-01
Last query:
2007-06-01
Last reply:
2007-05-05
Cesare Tirabassi (norsetto) said : #1

You can try opening a terminal and typing the following command:

sudo apt-get install update-manager

Check what is the output of this command and let us know if there was any problem.

achapp (achapp) said : #2

sorry , i had given my version wrong . my present version is ubuntu 6.06lts . how cld i upgrade to 7.04

Cesare Tirabassi (norsetto) said : #3

You can't, at least not directly.
Upgrades are only possible from one version to the successive one (eg. 6.06 -> 6.10).
Unless yoy are willing to try the 6.06->6.10->7.04 route your only chance is to reinstall from scratch using the 7.04 CD/DVD.

achapp (achapp) said : #4

how to upgrade from 6.06 to 6.10 . my presnt kernel version is 2.6 .15-28 -amd-64.

Best Massimo Forti (slackwarelife) said : #5

Update your system

For a successful upgrade from version 6.10 to 7.04 you need the latest version of update-manager from edgy-updates (0.45.2). On a default system you can click on "System/Administration/Update Manager". Then click on "Check" and see if there are new updates and install them if there are any. Then restart update-manager.

If you only want to update the update-manager package, open System/Administration/Synaptic Package Manager and click on "Search", then type "update-manager". Verify in the "Latest Version" column that 0.45.2 is available and install it. If it is not available click on "Reload". If it is still not available after a reload, open Settings/Repositories and make sure that the "Internet Updates/Recommended updates" checkbox is checked. After a reload the update package will be available.

link: https://wiki.ubuntu.com/EdgyUpdatesEnabled

achapp (achapp) said : #6

Thanks Massimo Forti, that solved my question.